Loading...
Searching...
No Matches
MyPaintBrushSettingInfo Struct Reference

Holds information about a single MyPaintBrushSetting. More...

`#include <mypaint-brush-settings.h>`

## Public Member Functions

const MyPaintBrushSettingInfo * | mypaint_brush_setting_info (MyPaintBrushSetting id)
| Get a pointer to the constant info struct for the given setting id.
const gchar * | mypaint_brush_setting_info_get_name (const MyPaintBrushSettingInfo *self)
| Get the translated display name for the given setting.
const gchar * | mypaint_brush_setting_info_get_tooltip (const MyPaintBrushSettingInfo *self)
| Get the translated tooltip for the given setting.
MyPaintBrushSetting | mypaint_brush_setting_from_cname (const char *cname)
| Get the MyPaintBrushSetting id matching the given canonical name.

## Data Fields

const gchar * | cname
| Canonical name - uniquely identifies the setting.
const gchar * | name
| Display name - descriptive name of the setting.
gboolean | constant
| Indicates whether the setting supports dynamics or not.
float | min
| Mininmum base value.
float | def
| Default base value.
float | max
| Maximum base value.
const gchar * | tooltip
| Tooltip - description of the setting.

## Detailed Description

Holds information about a single MyPaintBrushSetting.

## Member Function Documentation

## mypaint_brush_setting_from_cname()

MyPaintBrushSetting mypaint_brush_setting_from_cname | ( | const char * | cname | ) |

Get the MyPaintBrushSetting id matching the given canonical name.

If the given char sequence is not a canonical name of a setting, -1 is returned.

Parameters

  cname | the canonical name for the setting id to retrieve

Returns
  The id whose corresponding MyPaintBrushSettingInfo::cname matches cname, or -1 if cname is not a valid canonical name.

## mypaint_brush_setting_info()

const MyPaintBrushSettingInfo * mypaint_brush_setting_info | ( | MyPaintBrushSetting | id | ) |

Get a pointer to the constant info struct for the given setting id.

Parameters

  id | The MyPaintBrushSetting whose information will be returned.

## mypaint_brush_setting_info_get_name()

const gchar * mypaint_brush_setting_info_get_name | ( | const MyPaintBrushSettingInfo * | self | ) |

Get the translated display name for the given setting.

Parameters

  self | pointer to the settings info struct whose translated name will be returned.

Returns
  the translated display name, or the original display name if no translation exists for the active locale.

## mypaint_brush_setting_info_get_tooltip()

const gchar * mypaint_brush_setting_info_get_tooltip | ( | const MyPaintBrushSettingInfo * | self | ) |

Get the translated tooltip for the given setting.

Parameters

  self | settings info object whose translated tooltip will be returned.

Returns
  the translated tooltip, or the original tooltip if no translation exists for the active locale.

## Field Documentation

## cname

const gchar* MyPaintBrushSettingInfo::cname

Canonical name - uniquely identifies the setting.

## constant

gboolean MyPaintBrushSettingInfo::constant

Indicates whether the setting supports dynamics or not.

## def

float MyPaintBrushSettingInfo::def

Default base value.

## max

float MyPaintBrushSettingInfo::max

Maximum base value.

## min

float MyPaintBrushSettingInfo::min

Mininmum base value.

## name

const gchar* MyPaintBrushSettingInfo::name

Display name - descriptive name of the setting.

See also
  mypaint_brush_setting_info_get_name

## tooltip

const gchar* MyPaintBrushSettingInfo::tooltip

Tooltip - description of the setting.

See also
  mypaint_brush_setting_info_get_tooltip

The documentation for this struct was generated from the following file:

- mypaint-brush-settings.h